# Policy for click element demo
#
# Depending on whether you want to use encryption or not,
# include "listen-clear" or "listen-ssl", and update the ssl
# field in the destinations table below accordingly.
# SSL is enabled by default:
#
#@load listen-ssl
@load listen-clear

# Make sure we use the same port no matter whether we use
# encryption or not (the default ports are different).
#
@ifdef (listen_port_clear)
redef listen_port_clear    = 47758/tcp;
@endif
@ifdef (listen_port_ssl)
redef listen_port_ssl      = 47758/tcp;
#
# ----------------------------------------------------------------------
# Adjust the paths to your certificates here. The first one is the
# CA's certificate, the second one is the one generated for the Bro
# node you will run this policy on. If you use bro/aux/scripts/ca-create
# and bro/aux/scripts/ca-issue, then the first one will be created by
# the former and the second by the latter.
#
redef ssl_ca_certificate   = "<certs directory>/ca_cert.pem";
redef ssl_private_key      = "<certs directory>/bro.pem";
# ----------------------------------------------------------------------
@endif
      
# To prevent requesting sshd events from any peering Bro that connects,
# here is a list of our sshds. List the IP addresses of the hosts your
# sshds are running on here. The names given on the left are arbitrary:
#
redef Remote::destinations += {
	["host1"] = [$host = 127.0.0.1, $events = /click_.*/, $connect=F, $ssl=F],
#       ...
};

event click_packet_processed(src: addr, dst: addr)
{	
	print fmt("%s -> %s", src, dst);
}
