#ifndef BROCCOLIELEMENT_HH
#define BROCCOLIELEMENT_HH

/*
 * =c
 * BroccoliElement()
 * =s debugging
 * demonstrates how to write a package
 * =d
 *
 * This is the only element in the `sample' package. It demonstrates how to
 * write an element that will be placed in a package. It does nothing except
 * report that the package was successfully loaded when it initializes. */

#include <click/element.hh>
#include <broccoli.h>

class BroccoliElement : public Element {
public:

  BroccoliElement();		// SEE sample.cc FOR CONSTRUCTOR
  ~BroccoliElement();		// SEE sample.cc FOR DESTRUCTOR
  
  const char *class_name() const	{ return "BroccoliElement"; }
  const char *processing() const	{ return AGNOSTIC; }

  int initialize(ErrorHandler *);
  void add_handlers();

  void push(int port, Packet* packet);
  
protected:
  BroConn *_bc;
};

#endif
